Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 51)
@@ -1243,79 +1713,136 @@
             try
             {
                 DataGridView dgv = dgvApproval;
+                bool bFirst = true;
+                int CurRowCnt = 0;
+                int ObjCurCount = 0;
 
+                int iConstructionCode = 0;
+                int iApprovalCode = 0;
+                int iOrderNo = 0;
+                int DepartmentCode = 0;
+                string strPerson = string.Empty;
+                string strConstrName = string.Empty;
+                DateTime ApprovalEntryDate = DateTime.MinValue;
+                DateTime ApprovalLimitDates = DateTime.MinValue;
+                
                 // 先頭レコードを取得
-                object[] objwrk = (object[])BufferList[0];
+                foreach (object[] objwrk in BufferList)
+                {
+                    // データ取得
+                    iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
+                    iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
+                    iOrderNo = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.OrderNo]);                         // 受付番号
+                    DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
+                    strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);                  // 申請者名取得
+                    strConstrName = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]);
+                    // 注文書は回数を付ける
+                    if (iApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval)
+                    {
+                        strConstrName += string.Format("　{0}回目", iOrderNo);
+                    }
 
-                // データ取得
-                int iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
-                int iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
-                DateTime ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);        // 申請日付
-                int DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
-                string strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);               // 申請者名取得
-                DateTime ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());   // 承認希望日
+                    ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);             // 申請日付
+                    ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());    // 承認希望日
 
-                string strLimitDate = string.Empty;
-                if (ApprovalLimitDates != DateTime.MinValue)
-                {
-                    strLimitDate = ApprovalLimitDates.ToShortDateString();
-                }
+                    if (!bFirst)
+                    {
+                        if (iApprovalCode == (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval)
+                        {
+                            if (iOrderNo == CommonMotions.cnvInt(dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.OrderNo].Value))
+                                continue;
+                        }
+                        else
+                        {
+                            break;
+                        }
+                    }
 
-                // 処理月で空行を入れる
-                if (ino == 1)
-                {
-                    BreakCode = iApprovalCode;
-                }
-                if (BreakCode != iApprovalCode)
-                {
-                    dgv.Rows.Add(1);
-                    BreakCode = iApprovalCode;
-                }
+                    string strLimitDate = string.Empty;
+                    if (ApprovalLimitDates != DateTime.MinValue)
+                    {
+                        strLimitDate = ApprovalLimitDates.ToShortDateString();
+                    }
 
-                // データセット
-                int CurRowCnt = dgv.Rows.Add(iConstructionCode,
-                                                iApprovalCode,
-                                                ino,
-                                                CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]),
-                                                ClsExcute.AppovalList[iApprovalCode],
-                                                strPerson,
-                                                ApprovalEntryDate.ToShortDateString(),
-                                                strLimitDate);
+                    // 処理月で空行を入れる
+                    if (ino == 1)
+                    {
+                        BreakCode = iApprovalCode;
+                    }
+                    if (BreakCode != iApprovalCode)
+                    {
+                        dgv.Rows.Add(1);
+                        BreakCode = iApprovalCode;
+                    }
 
-                // 承認種別と種別名に色を付ける
-                dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+                    // データセット
+                    CurRowCnt = dgv.Rows.Add(iConstructionCode,
+                                                    iApprovalCode,
+                                                    iOrderNo,
+                                                    ino,
+                                                    strConstrName,
+                                                    ClsExcute.AppovalList[iApprovalCode],
+                                                    strPerson,
+                                                    ApprovalEntryDate.ToShortDateString(),
+                                                    strLimitDate);
 
-                // データセット
-                for (int i = 0; i < BufferList.Count; i++)
-                {
-                    // 承認者が列カウントを超えた場合
-                    if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                    // 承認種別と種別名に色を付ける
+                    dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+                    string wrkname = tabMenu.TabPages[(int)MenuTabAssign.DocumentApproval].Name;
+                    int Tabcount = MenuTabName[wrkname] - 1;
+
+                    // データセット
+                    for (int i = 0; i < BufferList.Count; i++)
                     {
-                        // 列を作成する
-                        DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
-                        // 名前とヘッダーを設定する
-                        NewColumn.Name = string.Format("ApprovalPerson{0}", i);
-                        NewColumn.HeaderText = string.Format("承認者", (i + 1));
-                        // 列の幅
-                        NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
-                        // 列のアライメントセット
-                        NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
+                        object[] objAuthorizer = (object[])BufferList[ObjCurCount++];
 
-                        // 列を追加する
-                        dgvApproval.Columns.Add(NewColumn);
-                    }
+                        // 承認機能番号・受付番号・工事番号が違えばブレイク
+                        if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]))
+                            && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]))
+                            && (iConstructionCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode])))
+                        {
 
-                    object[] objAuthorizer = (object[])BufferList[i];
+                        }
+                        else
+                        {
+                            --ObjCurCount;
+                            break;
+                        }
 
-                    int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalStatus]);
-                    DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
-                    DataGridViewCell CurCell = null;
-                    CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
+                        iApprovalCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]);                // 承認機能番号
+                        iOrderNo = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]);                          // 受付番号
+                        iConstructionCode = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ConstructionCode]);        // 工事番号
 
-                    CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalDataList.ApprovalPersonName]);
-                    CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
-                    CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+                        // 承認者が列カウントを超えた場合
+                        if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                        {
+                            // 列を作成する
+                            DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
+                            // 名前とヘッダーを設定する
+                            NewColumn.Name = string.Format("ApprovalPerson{0}", i);
+                            NewColumn.HeaderText = string.Format("承認者{0}", (i + 1));
+                            // 列の幅
+                            NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                            int AllCellColumns = m_CellSize.GetLength(1);
+                            int CurCellBaseCnt = (int)DocumentApprovalGridCount.ApprovalPerson1;
+                            if (AllCellColumns > i) m_CellSize[Tabcount, CurCellBaseCnt + i] = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                            // 列のアライメントセット
+                            NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
 
+                            // 列を追加する
+                            dgvApproval.Columns.Add(NewColumn);
+                        }
+
+                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalStatus]);
+                        DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
+                        DataGridViewCell CurCell = null;
+                        CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
+
+                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalDataList.ApprovalPersonName]);
+                        CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
+                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+                    }
+                    bFirst = false;
                 }
             }
             catch (Exception ex)
@@ -1533,15 +2060,14 @@
         {
             try
             {
-                string sBackColor = string.Empty;
-                string sForeColor = string.Empty;
-                string sErrMsg = string.Empty;
-                if (CommonMotions.CheckProc.ConstructionStatusCheck(wrkRec, DateTime.Now, ref sErrMsg, ref sBackColor, ref sForeColor, false)) return;
-
-                wrkRow.Cells[4].Style.BackColor = CommonMotions.getBackForeColor(sBackColor, CommonDefine.PalceOfColor.BackColor);
-                wrkRow.Cells[4].Style.ForeColor = CommonMotions.getBackForeColor(sForeColor, CommonDefine.PalceOfColor.ForeColor);
-                wrkRow.Cells[4].ToolTipText = sErrMsg;
-
+                List<TermMaster> term = new List<TermMaster>();
+                if (!CommonMotions.CheckProc.ConstructionStatusCheck(wrkRec, DateTime.Now, ref term))
+                {
+                    int DataIndex = term.Count - 1;
+                    wrkRow.Cells[4].Style.BackColor = CommonMotions.getBackForeColor(term[DataIndex].BackColor, CommonDefine.PalceOfColor.BackColor);
+                    wrkRow.Cells[4].Style.ForeColor = CommonMotions.getBackForeColor(term[DataIndex].ForeColor, CommonDefine.PalceOfColor.ForeColor);
+                    wrkRow.Cells[4].ToolTipText = term[0].SendTitle + "／" + term[DataIndex].SendMessage;
+                }
             }
             catch (Exception ex)
             {
@@ -1587,7 +2113,7 @@
                 string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
                 strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*";
                 strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN  PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
                 strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
                 strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
                 strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
@@ -1613,7 +2139,7 @@
                 ProgressSalesProjects.Visible = true;
                 ProgressSalesProjects.Minimum = 0;
                 ProgressSalesProjects.Maximum = arData.Count;
-                tabPage8.Update();
+                tabPage4.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -1793,7 +2319,7 @@
                 ProgressTenders.Visible = true;
                 ProgressTenders.Minimum = 0;
                 ProgressTenders.Maximum = arData.Count;
-                tabPage8.Update();
+                tabPage4.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -1970,7 +2496,7 @@
                 ProgressBudgetUp.Visible = true;
                 ProgressBudgetUp.Minimum = 0;
                 ProgressBudgetUp.Maximum = arData.Count;
-                tabPage8.Update();
+                tabPage4.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2188,7 +2714,7 @@
                 ProgressConstructionProjects.Visible = true;
                 ProgressConstructionProjects.Minimum = 0;
                 ProgressConstructionProjects.Maximum = arData.Count;
-                tabPage9.Update();
+                tabPage7.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2615,6 +3141,8 @@
             {
                 dgv.SuspendLayout();
                 dgv.Rows.Clear();
+                int NotOrder = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+                int BillComp = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
                 // ----- SQL作成
                 // 増減工事の増減分を取得する
                 string strSQL1 = "(SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
@@ -2631,9 +3159,14 @@
                 strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
                 strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1";
                 strSQL += " , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
-                
-                strSQL += CreateFluctuationProjectsSQL();
 
+                strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                //strSQL += " AND (A.BILLINGDATE = TO_DATE('0001/01/01') OR A.BILLINGDATE > ADD_MONTHS(sysdate, -1))";
+                strSQL += " AND (A.BILLINGDATE = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR A.BILLINGDATE > DATE_ADD(NOW(), INTERVAL -1 MONTH))";
+                strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0} AND A.ConstructionStatusFlg < {1}", NotOrder, BillComp);
+
+                //strSQL += CreateFluctuationProjectsSQL();
+
                 strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
                 strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE)";
@@ -2641,8 +3174,8 @@
                 // 増減工事の親を取得する
                 strSQL += string.Format(" UNION {0}", strSQL1);
 
-                strSQL += " LEFT JOIN CONSTRUCTIONLINK H ON H.FLUCTUATIONCODE IN (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO";
-                strSQL += CreateFluctuationProjectsSQL() + ")";
+                //strSQL += " LEFT JOIN CONSTRUCTIONLINK H ON H.FLUCTUATIONCODE IN (SELECT CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO";
+                //strSQL += CreateFluctuationProjectsSQL() + ")";
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON F.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
@@ -2649,13 +3182,18 @@
                 strSQL += " LEFT JOIN (SELECT SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS, MAX(SG.APPROVALCODE) APPROVALCODE";
                 strSQL += " FROM PROCESSAPPROVAL SG GROUP BY SG.CONSTRUCTIONCODE, SG.SEQNO, SG.APPROVALSTATUS) G";
                 strSQL += " ON A.ConstructionCode = G.CONSTRUCTIONCODE AND G.SEQNO = 1,";
-                strSQL += " CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                strSQL += " CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, CONSTRUCTIONLINK H, CONSTRUCTIONBASEINFO I";
 
-                strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Pearent);
+                strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Parent);
 
                 strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
-                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE)";
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
+                strSQL += " AND H.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                //strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (I.BILLINGDATE = TO_DATE('0001/01/01') OR I.BILLINGDATE > ADD_MONTHS(sysdate, -1)) ";
+                strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (I.BILLINGDATE = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR I.BILLINGDATE > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ";
+                strSQL += ")";
 
                 strSQL += " ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC";
                 //strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ConstructionCode Asc, B.DETAILNO ASC";
@@ -2669,7 +3207,7 @@
                 ProgressFluctuationProjects.Visible = true;
                 ProgressFluctuationProjects.Minimum = 0;
                 ProgressFluctuationProjects.Maximum = arData.Count;
-                tabPage9.Update();
+                tabPage7.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -2979,7 +3517,8 @@
                 strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
                 strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
 
-                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
+                //strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
+                strSQL += " Order By A.NonOrderDate Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
                 ArrayList arData = new ArrayList();
 
                 // 工事基本情報取得
@@ -2989,7 +3528,7 @@
                 ProgressNonOrders.Visible = true;
                 ProgressNonOrders.Minimum = 0;
                 ProgressNonOrders.Maximum = arData.Count;
-                tabPage14.Update();
+                tabPage9.Update();
                 //Thread.Sleep(100);
 
                 // データ表示
@@ -3166,13 +3705,17 @@
                 ProgressCompletionOfConstruction.Visible = true;
                 ProgressCompletionOfConstruction.Minimum = 0;
                 ProgressCompletionOfConstruction.Maximum = arData.Count;
-                tabPage15.Update();
+                tabPage10.Update();
                 //Thread.Sleep(100);
 
                 lblCompTitle01.Visible = false;
                 lblCompTitle02.Visible = false;
+                lblCompTitle03.Visible = false;
+                lblCompTitle04.Visible = false;
                 lblCompTotal01.Visible = false;
                 lblCompTotal02.Visible = false;
+                lblCompTotal03.Visible = false;
+                lblCompTotal04.Visible = false;
 
                 dgvCompletionOfConstruction.SuspendLayout();
 
@@ -3269,19 +3812,39 @@
                 ProgressCompletionOfConstruction.Visible = false;
 
                 // 金額表示
-                long Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
-                long Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
-                lblCompTotal01.Text = @"\" + Total01.ToString("#,0") + "-";
-                lblCompTotal02.Text = @"\" + Total02.ToString("#,0") + "-";
+                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
+                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
+                lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
+                lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
+                lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
+                lblCompTotal04.Text = @"\" + Total02[1].ToString("#,0") + "-";
 
                 // 最高機密管理者のみ金額が表示される
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                    CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                bool bSelFlg = false;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                        bSelFlg = true;
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                        bSelFlg = true;
+                }
+
+                if (bSelFlg)
+                {
                     lblCompTitle01.Visible = true;
                     lblCompTitle02.Visible = true;
+                    lblCompTitle03.Visible = true;
+                    lblCompTitle04.Visible = true;
                     lblCompTotal01.Visible = true;
                     lblCompTotal02.Visible = true;
+                    lblCompTotal03.Visible = true;
+                    lblCompTotal04.Visible = true;
                 }
             }
             catch (Exception ex)
@@ -3323,7 +3886,7 @@
                 strSQL += CreateListSQLFluctuation();
                 strSQL += CreateListSQL(stat);
 
-                //strSQL += string.Format(" And DATE_FORMAT('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
+                //strSQL += string.Format(" And TO_DATE('{0}', 'yyyy/dd/mm') <= ConstructionCompletionDate", StartDate.ToShortDateString());
                 strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDCompletion.Value);
 
                 return strSQL;
@@ -3342,16 +3905,17 @@
         /// </summary>
         /// <param name="Period"></param>
         /// <returns></returns>
-        private long CalcOrdersDecisionPrice(decimal Period)
+        private long[] CalcOrdersDecisionPrice(decimal Period)
         {
             IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            int[] Status = new int[] {  CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
+                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key};
+            long[] lArrayRet = new long[Status.Length];
+            Array.Clear(lArrayRet, 0, lArrayRet.Length);
             try
             {
-                //int[] Status = new int[] {CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key,
-                int[] Status = new int[] {  CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求準備")).Key,
-                                            CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key};
 
-                string strSQL = "SELECT SUM(ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO";
+                string strSQL = "SELECT CONSTRUCTIONSTATUSFLG, SUM(ORDERSDECISIONPRICE) FROM CONSTRUCTIONBASEINFO";
                 strSQL += string.Format(" WHERE CONSTRUCTIONPERIOD = {0}", Period);
                 strSQL += " AND CONSTRUCTIONSTATUSFLG IN (";
                 for (int i = 0; i < Status.Length; i++)
@@ -3359,19 +3923,31 @@
                     if (i != 0) strSQL += ",";
                     strSQL += string.Format(" {0}", Status[i]);
                 }
-                if (Status.Length != 0) strSQL += ")";
+                strSQL += ")";
+                strSQL += " GROUP BY CONSTRUCTIONSTATUSFLG";
+                strSQL += " ORDER BY CONSTRUCTIONSTATUSFLG";
 
                 ArrayList arryList = new ArrayList();
-                if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return 0;
-                if (arryList.Count == 0) return 0;
-                object[] getObj = (object[])arryList[0];
+                if (!BaseDB.ExecuteReader(strSQL, ref arryList)) return lArrayRet;
+                if (arryList.Count == 0) return lArrayRet;
+                foreach (object[] getObj in arryList)
+                {
+                    if (CommonMotions.cnvInt(getObj[0]) == Status[0])
+                    {
+                        lArrayRet[0] = CommonMotions.cnvLong(getObj[1]);
+                    }
+                    else
+                    {
+                        lArrayRet[1] = CommonMotions.cnvLong(getObj[1]);
+                    }
+                }
 
-                return CommonMotions.cnvLong(getObj[0]);
+                return lArrayRet;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return 0;
+                return lArrayRet;
             }
             finally
             {
@@ -3496,7 +4072,7 @@
                 progBarSalesGraph.Visible = true;
                 progBarSalesGraph.Minimum = ino;
                 progBarSalesGraph.Maximum = sgdList.Count;
-                tabPage12.Update();
+                tabPage13.Update();
 
                 DateTime wrkUpdate = sgdList[0].UpdateDate;
                 foreach (SalesGraphData wrkRec in sgdList)
@@ -3608,8 +4184,10 @@
                 DateTime ColenderEndDate = DateTime.Now.AddDays(15);
 
                 // --------------- 会社休日データの表示(会社カレンダーは必ずあることが前提、無ければ休日が出ない)
-                string strCalender = string.Format(" Where DATE_FORMAT('{0}','%Y/%m/%d') <= Holiday", ColenderStartDate.ToShortDateString());
-                strCalender += string.Format(" And Holiday <= DATE_FORMAT('{0}','%Y/%m/%d')", ColenderEndDate.ToShortDateString());
+                //string strCalender = string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday", ColenderStartDate.ToShortDateString());
+                string strCalender = string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= Holiday", ColenderStartDate.ToShortDateString());
+                //strCalender += string.Format(" And Holiday <= TO_DATE('{0}','YYYY/MM/DD')", ColenderEndDate.ToShortDateString());
+                strCalender += string.Format(" And Holiday <= STR_TO_DATE('{0}','%Y/%m/%d')", ColenderEndDate.ToShortDateString());
                 List<HolidayCalenderMaster> hcList = new List<HolidayCalenderMaster>();
                 if (!hcDB.SelectAction(strCalender, ref hcList)) return false;
                 if (hcList.Count == 0) return false;
@@ -3630,7 +4208,7 @@
                     dgvActionSchedule.Rows[s_ActionListDayLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = dtCurDate.Day.ToString();
                     // 曜日をセットする
                     DayOfWeek dayofweek = dtCurDate.DayOfWeek;
-                    dgvActionSchedule.Rows[s_ActionListWeekLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = s_DayOfTheWeek[(int)dayofweek];
+                    dgvActionSchedule.Rows[s_ActionListWeekLine].Cells[ix + (int)ActionSchduleGridCount.Days1].Value = CommonDefine.DayOfTheWeekString[(int)dayofweek];
 
                     // 休日を探す
                     bool ExistDays = false;
@@ -3685,7 +4263,8 @@
 
                 // --------------- 行動予定の表示
                 List<ActionScheduleData> asdList = new List<ActionScheduleData>();
-                string strSQL = String.Format(" Where (DATE_FORMAT('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= DATE_FORMAT('{1}','%Y/%m/%d'))"
+                //string strSQL = String.Format(" Where (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
+                string strSQL = String.Format(" Where (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += string.Format(" And PersonCode = {0}", iCode);
                 strSQL += " ORDER BY TargetDate ASC";
